use crate::model::{PackType, PackingContext};
use magnetar_model::ck;
use magnetar_sdk::types::instance::InstanceTicker;

impl<'a> PackType<&'a ck::instance::Model> for InstanceTicker {
    fn extract(_context: &PackingContext, data: &'a ck::instance::Model) -> Self {
        InstanceTicker {
            name: data.name.clone(),
            software_name: data.software_name.clone(),
            software_version: data.software_version.clone(),
            icon_url: data.icon_url.clone(),
            favicon_url: data.favicon_url.clone(),
            theme_color: data.theme_color.clone(),
        }
    }
}
